Subject: Rclone is 4 years outdated

From: Alexandre Hannud Abdo <[email-masked]>
Date: Mon, 23 Dec 2024 13:30:44 +0100

Ni! Using `--with-latest` and using `--with-version` also fails during build.

Build log is attached.

I've never played with the go build system, but it seems that the definition doesn't include the required dependencies.

There's a comment in the current outdated definition saying that dependencies are bundled with the tarball. Looking at current files that no longer seems to be the case. I'm assuming --with-latest and --with-version just download newer tarballs.

There seems to be many dependencies. I have no idea whether they're all in guix, so I wonder how hard would it be to fix this. And if it's really only the dependencies that are missing from the definition.

.~´